import { EraParser as r } from "./index-EraParser.js";
import { YearParser as e } from "./index-YearParser.js";
import { LocalWeekYearParser as o } from "./index-LocalWeekYearParser.js";
import { ISOWeekYearParser as m } from "./index-ISOWeekYearParser.js";
import { ExtendedYearParser as a } from "./index-ExtendedYearParser.js";
import { QuarterParser as t } from "./index-QuarterParser.js";
import { StandAloneQuarterParser as n } from "./index-StandAloneQuarterParser.js";
import { MonthParser as i } from "./index-MonthParser.js";
import { StandAloneMonthParser as s } from "./index-StandAloneMonthParser.js";
import { LocalWeekParser as p } from "./index-LocalWeekParser.js";
import { ISOWeekParser as P } from "./index-ISOWeekParser.js";
import { DateParser as f } from "./index-DateParser.js";
import { DayOfYearParser as w } from "./index-DayOfYearParser.js";
import { DayParser as d } from "./index-DayParser.js";
import { LocalDayParser as S } from "./index-LocalDayParser.js";
import { StandAloneLocalDayParser as c } from "./index-StandAloneLocalDayParser.js";
import { ISODayParser as M } from "./index-ISODayParser.js";
import { AMPMParser as l } from "./index-AMPMParser.js";
import { AMPMMidnightParser as u } from "./index-AMPMMidnightParser.js";
import { DayPeriodParser as D } from "./index-DayPeriodParser.js";
import { Hour1to12Parser as y } from "./index-Hour1to12Parser.js";
import { Hour0to23Parser as O } from "./index-Hour0to23Parser.js";
import { Hour0To11Parser as T } from "./index-Hour0To11Parser.js";
import { Hour1To24Parser as I } from "./index-Hour1To24Parser.js";
import { MinuteParser as Y } from "./index-MinuteParser.js";
import { SecondParser as h } from "./index-SecondParser.js";
import { FractionOfSecondParser as k } from "./index-FractionOfSecondParser.js";
import { ISOTimezoneWithZParser as A } from "./index-ISOTimezoneWithZParser.js";
import { ISOTimezoneParser as H } from "./index-ISOTimezoneParser.js";
import { TimestampSecondsParser as L } from "./index-TimestampSecondsParser.js";
import { TimestampMillisecondsParser as W } from "./index-TimestampMillisecondsParser.js";
var sr = {
  G: new r(),
  y: new e(),
  Y: new o(),
  R: new m(),
  u: new a(),
  Q: new t(),
  q: new n(),
  M: new i(),
  L: new s(),
  w: new p(),
  I: new P(),
  d: new f(),
  D: new w(),
  E: new d(),
  e: new S(),
  c: new c(),
  i: new M(),
  a: new l(),
  b: new u(),
  B: new D(),
  h: new y(),
  H: new O(),
  K: new T(),
  k: new I(),
  m: new Y(),
  s: new h(),
  S: new k(),
  X: new A(),
  x: new H(),
  t: new L(),
  T: new W()
};
export {
  sr as parsers
};
